package hu.uw.pallergabor.irblegw;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.util.Log;

/**
 * Created by paller on 2015.12.03..
 */
public class IRGWServiceReceiver extends BroadcastReceiver {
    public static final String GW_DISCOVERED = "hu.uw.pallergabor.irblegw.discovered";
    public static final String GW_DISCONNECTED = "hu.uw.pallergabor.irblegw.disconnected";
    public static final String GW_CONNECTED = "hu.uw.pallergabor.irblegw.connected";
    public static final String GW_KEY = "hu.uw.pallergabor.irblegw.key";
    private static final String LOG_TAG = "IRGWServiceReceiver";

    @Override
    public void onReceive(Context context, Intent intent) {
        String action = intent.getAction();
        Log.d(LOG_TAG, action);
        if( action.equals(GW_DISCOVERED))
            MainActivity.thisActivity.eventGWDiscovered();
        else
        if( action.equals(GW_CONNECTED))
            MainActivity.thisActivity.eventGWConnected();
        else
        if( action.equals(GW_DISCONNECTED))
            MainActivity.thisActivity.eventGWDisconnected();
        else
        if( action.equals(GW_KEY)) {
            long v = intent.getLongExtra("key", -1L);
            MainActivity.thisActivity.eventGWKey(v);
        }
    }
}
